Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 9614)
@@ -38,7 +38,6 @@
     public double Threshold { get { return threshold; } set { threshold = value; } }
 
-    private DeleteColumnsWithMissingValuesThresholdCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected DeleteColumnsWithMissingValuesThresholdCommand(bool deserializing) : base(deserializing) { }
 
     public DeleteColumnsWithMissingValuesThresholdCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 9614)
@@ -35,6 +35,7 @@
     private ICollection<int> oldSortedColumnIndices;
 
-    private DeleteRowsWithMissingValuesCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected DeleteRowsWithMissingValuesCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new List<ColumnBase>();
     }
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 9614)
@@ -40,6 +40,7 @@
     public double Threshold { get { return threshold; } set { threshold = value; } }
 
-    private DeleteRowsWithMissingValuesThresholdCommand()
-      : base(null, string.Empty) {
+    [StorableConstructor]
+    protected DeleteRowsWithMissingValuesThresholdCommand(bool deserializing)
+      : base(deserializing) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 9614)
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -37,6 +33,7 @@
     protected IEnumerable<SortOrder> oldSortOrder;
 
-    private FillMissingValueCommandBase()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected FillMissingValueCommandBase(bool deserializing)
+      : base(deserializing) {
       nullValues = new Dictionary<int, List<int>>();
     }
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 2)]
   public class FillMissingValuesWithLinearInterpolation : FillMissingValueCommandBase {
-    private FillMissingValuesWithLinearInterpolation()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithLinearInterpolation(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithLinearInterpolation(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 0)]
   public class FillMissingValuesWithMeanCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithMeanCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithMeanCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithMeanCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 1)]
   public class FillMissingValuesWithMedianCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithMedianCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithMedianCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithMedianCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs
===================================================================
--- branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 8586)
+++ branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 9614)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -34,8 +33,6 @@
   [ViewableCommandInfoAttribute("Previous Value", 1, ColumnGroupState.AnySelectedColumnContainsNull, "Handle Missing Values", Position = 3)]
   public class FillMissingValuesWithPreviousValuesCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithPreviousValuesCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithPreviousValuesCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithPreviousValuesCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
